import { _t } from '../i18n/i18n';
export class Basemaps {
    async openPopover(ev) {
        const options = {
            component: document.createElement('gl-basemap-switcher'),
            ev: ev
        };
        const popover = await this.popoverCtrl.create(options);
        await popover.present();
        return popover;
    }
    render() {
        let title = _t('webmapgl.basemaps.title');
        return (h("ion-button", { onClick: (e) => this.openPopover(e), title: title },
            h("ion-icon", { slot: "icon-only", name: 'globe' })));
    }
    static get is() { return "gl-basemaps"; }
    static get properties() { return {
        "el": {
            "elementRef": true
        },
        "popoverCtrl": {
            "connect": "ion-popover-controller"
        }
    }; }
}
